import { CompoundWidgetDto, SocketConnectionDto, WidgetDto } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { BaseWidgetComponent, CompoundWidgetStore, SocketAwareWidget, WidgetRendererOptions, WidgetTreeComponent } from "@smallstack/widget-core";
import { BehaviorSubject } from "rxjs";
import * as i0 from "@angular/core";
export declare class CompoundWidgetWidgetComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private compoundWidgetStore;
    private notificationService;
    protected compoundWidget: CompoundWidgetDto;
    protected widgetRendererOptions: WidgetRendererOptions;
    protected editMode$: BehaviorSubject<boolean>;
    protected widgetTreeComponent: WidgetTreeComponent;
    protected set widgetTree(widgetTreeComponent: WidgetTreeComponent);
    constructor(compoundWidgetStore: CompoundWidgetStore, notificationService: NotificationService);
    handleSocketData(socketName: string, data?: unknown): Promise<void>;
    protected updateCompoundWidget(widget: WidgetDto): Promise<void>;
    protected updateConnections(connections: SocketConnectionDto[]): Promise<void>;
    protected toggleEditMode(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CompoundWidgetWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CompoundWidgetWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
